# Method Image.Colortable()->`*()

Method `*

  ```object`` map(`object` `image`)`
  ```object`` res = `Image.Colortable()` * `image``
  ```object`` res = `image` * `Image.Colortable()``
  ```object`` map(`string` `data`, `int` `xsize`, `int` `ysize`)`
  ```object`` res = `Image.Colortable()` * `data``
  ```object`` res = `data` * `Image.Colortable()``

Description

  Map colors in an image object to the colors in the colortable, and creates a new image with the closest colors.

  |  |  |  |  |  | no dither
  |  |  |  |  |  | floyd_steinberg dither
  |  |  |  |  |  | ordered dither
  |  |  |  |  |  | randomcube dither
  original | 2 | 4 | 8 | 16 | 32 colors

Returns

  a new image object

Note

  Flat (not cube) colortable and not 'full' method: this method does figure out the data needed for the lookup method, which may take time the first use of the colortable - the second use is quicker.

See also

  cubicles, full